Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class VisualChannel

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.sg.SGChannel
                              |
                              +--quicktime.std.sg.VisualChannel

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  SGTextChannel, SGVideoChannel

public abstract class VisualChannel
extends SGChannel
implements quicktime.jdirect.QuickTimeLib

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`QDRect` | `getBounds()` Allows you to get a channel's display boundary rectangle.
`Region` | `getClip()` Allows you to retrieve a channels clipping region.
`Matrix` | `getMatrix()` Allows you to get a channel's display transformation matrix.
`void` | `setBounds(QDRect bounds)` Allows you to specify a channel's display boundary rectangle.
`void` | `setClip(Region theClip)` Allows you to set a channel's clipping region.
`void` | `setMatrix(Matrix m)` Allows you to set a channel's display transformation matrix.

Methods inherited from class quicktime.std.sg.SGChannel
`getDataSourceName, getDeviceList, getPlayFlags, getSampleDescription, getSequenceGrabber, getSettings, getTimeScale, getUsage, setDataSourceName, setDevice, setOutput, setPlayFlags, setSettings, settingsDialog, settingsDialog, setUsage`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setBounds

    public void setBounds(QDRect bounds)
                   throws StdQTException

  Allows you to specify a channel's display boundary rectangle.
  QuickTime::SGSetChannelBounds QuickTime::SGSetChannelBounds

  Parameters:
    `bounds` - the new display bounds

### getBounds

    public QDRect getBounds()
                     throws StdQTException

  Allows you to get a channel's display boundary rectangle.
  QuickTime::SGGetChannelBounds QuickTime::SGGetChannelBounds

  Returns:
    the current display bounds

### setClip

    public void setClip(Region theClip)
                 throws StdQTException

  Allows you to set a channel's clipping region.
  QuickTime::SGSetChannelClip QuickTime::SGSetChannelClip

  Parameters:
    `theClip` - a new clipping region or null to clear the clipping region.

### getClip

    public Region getClip()
                   throws QTException

  Allows you to retrieve a channels clipping region.
  QuickTime::SGGetChannelClip QuickTime::SGGetChannelClip

  Returns:
    the clipping region or null if no clip.

### setMatrix

    public void setMatrix(Matrix m)
                   throws StdQTException

  Allows you to set a channel's display transformation matrix.
  QuickTime::SGSetChannelMatrix QuickTime::SGSetChannelMatrix

### getMatrix

    public Matrix getMatrix()
                     throws StdQTException

  Allows you to get a channel's display transformation matrix.
  QuickTime::SGGetChannelMatrix QuickTime::SGGetChannelMatrix

  Returns:
    the current matrix of the channel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD